#include <stdio.h>
#include <stdlib.h>
#include <math.h>
using namespace std;

void bice(long long &v,long long  &o,long long  &i)
{
        if(v>=5*pow(10,i))
        {
            v=v-(5*pow(10,i)); o++; i++; return ;
        }
        if(v>=2*pow(10,i))
         {
             v=v-(2*pow(10,i)); o++; i++; return ;
         }
        if(v>=pow(10,i))
         {
              v=v-pow(10,i); o++; i++; return ;
         }
}



int main()
{
    long long v,i,n,o,t;

    scanf("%d",&v);

    o=0;
    for(i=18;i>=0;i--)
    {
       bice(v,o,i);
    }

    printf("%d",o);
    return 0;

}